%bcond_without gtk3

Summary:	Volume control for Pulseaudio sound server for Linux
Name:		pavucontrol
Version:	3.0
Release:	8
License:	GPLv2+
Group:		Sound
Url:		http://freedesktop.org/software/pulseaudio/%{name}
Source0:	http://freedesktop.org/software/pulseaudio/%{name}/%{name}-%{version}.tar.xz
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Patch0:		pavucontrol-3.0-russian.patch
Patch1:		pavucontrol-3.0-fix-string-lang.patch
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	lynx
%if %{with gtk3}
BuildRequires:	pkgconfig(gtkmm-3.0) >= 3.0
BuildRequires:	pkgconfig(libcanberra-gtk3)
%else
BuildRequires:	pkgconfig(gtkmm-2.4) >= 2.16
BuildRequires:	pkgconfig(libcanberra-gtk)
%endif
BuildRequires:	pkgconfig(libglademm-2.4)
BuildRequires:	pkgconfig(libpulse) >= 0.9.16
Requires:	pulseaudio
Provides:	pulseaudio-volume-control = %{EVRD}

%description
Pulseaudio Volume Control (pavucontrol) is a simple GTK based volume control
tool for the Pulseaudio sound server. In contrast to classic mixer tools this
one allows you to control both the volume of hardware devices and of each
playback stream separately.

%files -f %{name}.lang
%doc README LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/%{name}.glade
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure2_5x \
%if %{with gtk3}
	--enable-gtk3
%else
	--disable-gtk3
%endif
%make

%install
%makeinstall_std

sed -i "s/^Icon=.*/Icon=%{name}/" %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor="" \
	--add-category="GTK" \
	--add-category="X-MandrivaLinux-Multimedia-Sound" \
	--add-category="X-MandrivaLinux-CrossDesktop" \
	--remove-category="Application" \
	--remove-key="Encoding" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

# Icons
install -D -m 0644 %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 0644 %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png

%find_lang %{name}


%changelog

* Sun Sep 27 2015 Denis Silakov <denis.silakov@rosalab.ru> 3.0-8
- (04c76e0) Fix localization of desktop file


